<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sqx.modules.integral.dao.UserIntegralDao">

    <update id="addUserIntegral">
        update user_integral set
        integral_num = integral_num+#{num}
        where user_id = #{userId}
    </update>

    <update id="updateUserIntegral">
        update user_integral set
        integral_num = integral_num-#{needIntegral}
        where user_id = #{userId}
    </update>
</mapper>